Loading...
Searching...
No Matches
freq_range_list Struct Reference
Rig (transceiver) API

Frequency range. More...

`#include <rig.h>`

## Data Fields

freq_t | startf
freq_t | endf
rmode_t | modes
int | low_power
int | high_power
vfo_t | vfo
ant_t | ant
char * | label

## Detailed Description

Frequency range.

Put together a group of this struct in an array to define what frequencies your rig has access to.

## Field Documentation

## ant

ant_t freq_range_list::ant

Antenna list equipped with this range, 0 means all, RIG_ANT_CURR means dedicated to certain bands and automatically switches, no set_ant command

## endf

freq_t freq_range_list::endf

End frequency

## high_power

int freq_range_list::high_power

Higher RF power in mW, -1 for no power (ie. rx list)

## label

char* freq_range_list::label

Label for this range that explains why. e.g. Icom rigs USA, EUR, ITR, TPE, KOR

## low_power

int freq_range_list::low_power

Lower RF power in mW, -1 for no power (ie. rx list)

## modes

rmode_t freq_range_list::modes

Bit field of RIG_MODE's

## startf

freq_t freq_range_list::startf

Start frequency

## vfo

vfo_t freq_range_list::vfo

VFO list equipped with this range

The documentation for this struct was generated from the following file:

- rig.h